Package docking.wizard

# Class WizardState<T>

java.lang.Object
docking.wizard.WizardState<T>

All Implemented Interfaces:
  `Cloneable`

public class WizardState<T> extends Object implements Cloneable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WizardState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDependency(T dependent, T predecessor)`
  Defines a dependency from one property to another.
  `void`
  `clear(T key)`
  Removes the property key,value pair from this wizard state.
  `protected Object`
  `clone()`
  `Object`
  `get(T key)`
  Gets the value for a property key.
  `void`
  `put(T key, Object value)`
  Sets the property value for a given property key.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WizardState

    public WizardState()

- ## Method Details

  - ### clone

    protected Object clone()
    Overrides:
      `clone` in class `Object`

  - ### get

    public Object get(T key)
    Gets the value for a property key.
    Parameters:
      `key` - the identifier for the property. Typically, it would be a string or enum.
    Returns:
      the value associated with the given property key or null if the property has no value.

  - ### put

    public void put(T key, Object value)
    Sets the property value for a given property key. Also clears out the property values for any properties that depend on this property.
    Parameters:
      `key` - the propertyKey whose value is to be set or changed with the new value.
      `value` - the new value for the property.

  - ### clear

    public void clear(T key)
    Removes the property key,value pair from this wizard state.
    Parameters:
      `key` - the property key of the property to be cleared.

  - ### addDependency

    public void addDependency(T dependent, T predecessor)
    Defines a dependency from one property to another. A property dependency has the effect of clear the dependent's property value whenever the predecessor property is changed or cleared.
    Parameters:
      `dependent` - the property whose value is to be cleared when the predecessor property is changed or cleared.
      `predecessor` - the property that, when changed or cleared, will cause the dependent property to be cleared.